> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tester.army/_mcp/server.

# Delete a project environment

DELETE https://tester.army/api/v1/projects/{projectId}/environments/{environmentId}

Delete a static project environment. Built-in Production and PR Preview environments are not deletable.

Reference: https://docs.tester.army/api-reference/tester-army-api/projects/delete-a-project-environment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/projects/{projectId}/environments/{environmentId}:
    delete:
      operationId: delete-a-project-environment
      summary: Delete a project environment
      description: >-
        Delete a static project environment. Built-in Production and PR Preview
        environments are not deletable.
      tags:
        - projects
      parameters:
        - name: projectId
          in: path
          description: Project ID or shortId
          required: true
          schema:
            type: string
        - name: environmentId
          in: path
          description: Static environment ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Project environment deleted
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Projects_deleteAProjectEnvironment_Response_200
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteAProjectEnvironmentRequestBadRequestError
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteAProjectEnvironmentRequestUnauthorizedError
        '404':
          description: Project or environment not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteAProjectEnvironmentRequestNotFoundError
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteAProjectEnvironmentRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteAProjectEnvironmentRequestInternalServerError
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteAProjectEnvironmentRequestGatewayTimeoutError
servers:
  - url: https://tester.army/api
    description: Production API server
components:
  schemas:
    Projects_deleteAProjectEnvironment_Response_200:
      type: object
      properties:
        deleted:
          type: boolean
        id:
          type: string
          format: uuid
      required:
        - deleted
        - id
      title: Projects_deleteAProjectEnvironment_Response_200
    DeleteAProjectEnvironmentRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: DeleteAProjectEnvironmentRequestBadRequestError
    DeleteAProjectEnvironmentRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: DeleteAProjectEnvironmentRequestUnauthorizedError
    DeleteAProjectEnvironmentRequestNotFoundError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: DeleteAProjectEnvironmentRequestNotFoundError
    DeleteAProjectEnvironmentRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: DeleteAProjectEnvironmentRequestTooManyRequestsError
    DeleteAProjectEnvironmentRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: DeleteAProjectEnvironmentRequestInternalServerError
    DeleteAProjectEnvironmentRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: DeleteAProjectEnvironmentRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## Examples



**Response**

```json
{
  "deleted": true,
  "id": "string"
}
```

**SDK Code**

```python
import requests

url = "https://tester.army/api/v1/projects/projectId/environments/environmentId"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/api/v1/projects/projectId/environments/environmentId';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/api/v1/projects/projectId/environments/environmentId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/api/v1/projects/projectId/environments/environmentId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://tester.army/api/v1/projects/projectId/environments/environmentId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://tester.army/api/v1/projects/projectId/environments/environmentId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/api/v1/projects/projectId/environments/environmentId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/api/v1/projects/projectId/environments/environmentId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```